


MUNPACK(1)          UNIX Programmer's Manual           MUNPACK(1)



NAME
     munpack - unpack messages in MIME or split-uuencode format

SYNOPSIS
     munpack [ -f ] [ -C directory ] [ filename ... ]

DESCRIPTION
     The munpack program reads each RFC-822 message filename and
     writes all non-text MIME parts or split-uuencoded files as
     files.  If no filename argument is given, munpack reads from
     standard input.

     If the message suggests a file name to use for the imbedded
     part, that name is cleaned of potential problem characters
     and used for the output file.  If the suggested filename
     includes subdirectories, they will be created as necessary.
     If the message does not suggest a file name, the names
     "part01", "part02", etc are used in sequence.

     If the imbedded part was preceded with textual information,
     that information is also written to a file.  The file is
     named the same as the imbedded part, with any filename
     extension replaced with ".desc".

OPTIONS
     -f   Force overwriting of existing files.  If a message sug-
          gests a file name of an existing file, the file will be
          overwritten.  Without this flag, munpack appends ".1",
          ".2", etc to find a nonexistent file.

     -C directory
          Change the current directory to directory before read-
          ing any files.  This is useful when invoking munpack
          from a mail or news reader.

ENVIRONMENT
     TMPDIR
          Directory to store temporary files.  Default is /tmp.

FILES
     $TMPDIR/message-parts-$USER/
          Directory used to store partial messages awaiting
          reassembly.

